# Generated by Django 2.2.7 on 2020-03-03 10:08

from django.db import migrations, models
import utils.models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0070_footer_priority'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='footer',
            name='priority',
        ),
        migrations.AddField(
            model_name='footerlink',
            name='is_highlighted',
            field=models.BooleanField(default=False, verbose_name='is highlighted'),
        ),
        migrations.AddField(
            model_name='footerlink',
            name='is_last_element',
            field=models.BooleanField(default=False, verbose_name='is last element'),
        ),
        migrations.AddField(
            model_name='footerlink',
            name='link_label',
            field=utils.models.TJSONField(blank=True, default=None, help_text='{"en-GB":"some text"}', null=True, verbose_name='URL label'),
        ),
        migrations.AddField(
            model_name='footerlink',
            name='priority',
            field=models.PositiveSmallIntegerField(blank=True, default=None, null=True),
        ),
    ]
